test-version-install.t 2.12 KB
Newer Older
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
  $ cat >> $HGRCPATH <<EOF
  > [extensions]
  > EOF
  $ echo "evolve=$(echo $(dirname $TESTDIR))/hgext3rd/evolve/" >> $HGRCPATH

Test outputting version number

  $ hg version -v
  Mercurial Distributed SCM (version *) (glob)
  (see https://mercurial-scm.org for more information)
  
  Copyright (C) 2005-* Matt Mackall and others (glob)
  This is free software; see the source for copying conditions. There is NO
  warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  
  Enabled extensions:
  
    evolve  external  * (glob)

Test install
21
TODO: fix warning
22
#if py3
23
BROKEN: unicode errors on version number on install
24
  $ "$PYTHON" "$TESTDIR/../setup.py" install --root "$TESTTMP/installtest" > /dev/null
25
26
  */distutils/dist.py:*: UserWarning: Unknown distribution option: 'python_requires' (glob)
    warnings.warn(msg)
27
28
  Traceback (most recent call last):
    File "*/../setup.py", line *, in <module> (glob)
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
      python_requires=py_versions
    File "*/distutils/core.py", line *, in setup (glob)
      dist.run_commands()
    File "*/distutils/dist.py", line *, in run_commands (glob)
      self.run_command(cmd)
    File "*/distutils/dist.py", line *, in run_command (glob)
      cmd_obj.run()
    File "*/distutils/command/install.py", line *, in run (glob)
      self.run_command(cmd_name)
    File "*/distutils/cmd.py", line *, in run_command (glob)
      self.distribution.run_command(command)
    File "*/distutils/dist.py", line *, in run_command (glob)
      cmd_obj.ensure_finalized()
    File "*/distutils/cmd.py", line *, in ensure_finalized (glob)
      self.finalize_options()
    File "*/distutils/command/install_egg_info.py", line *, in finalize_options (glob)
      to_filename(safe_version(self.distribution.get_version()))
    File "*/distutils/command/install_egg_info.py", line *, in safe_version (glob)
      version = version.replace(' ','.')
  TypeError: a bytes-like object is required, not 'str'
49
  [1]
50
51
52
53
54
#else
  $ "$PYTHON" "$TESTDIR/../setup.py" install --root "$TESTTMP/installtest" > /dev/null
  */distutils/dist.py:*: UserWarning: Unknown distribution option: 'python_requires' (glob)
    warnings.warn(msg)
#endif